using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TellerSystem.Library.Ext.TradeExtension;
using TellerSystem.Communication;
using TellerSystem.Library.Ext.Function;

namespace TellerSystem.Contract.ContractBase
{
    /// <summary>
    /// 业务总线的访问辅助类
    /// </summary>
    public class TradeBusHelper
    {
        #region ctor & Property
        public TradeBusHelper(PageBase page)
        {
            Page = page;
            _tradeBusData = TradeInfoData.GetTradeInfo(Page).TradeBus;
        }
        public PageBase Page { get; private set; }
        private TradeBusData _tradeBusData;
        #endregion

        #region 总线属性
        public string TestBusItem
        {
            get
            {
                return _tradeBusData["TestBusItem"];
            }
            set
            {
                _tradeBusData["TestBusItem"] = value;
            }
        }

        #region 交易相关
        #region 流水号
        /// <summary>
        ///流水号1
        /// </summary>
        public string T001
        {
            get
            {
                return _tradeBusData["T001"];
            }
            set
            {
                _tradeBusData["T001"] = value;
            }
        }


        /// <summary>
        ///流水号2
        /// </summary>
        public string T002
        {
            get
            {
                return _tradeBusData["T002"];
            }
            set
            {
                _tradeBusData["T002"] = value;
            }
        }


        /// <summary>
        ///流水号3
        /// </summary>
        public string T003
        {
            get
            {
                return _tradeBusData["T003"];
            }
            set
            {
                _tradeBusData["T003"] = value;
            }
        }


        /// <summary>
        ///流水号4
        /// </summary>
        public string T004
        {
            get
            {
                return _tradeBusData["T004"];
            }
            set
            {
                _tradeBusData["T004"] = value;
            }
        }


        /// <summary>
        ///流水号5
        /// </summary>
        public string T005
        {
            get
            {
                return _tradeBusData["T005"];
            }
            set
            {
                _tradeBusData["T005"] = value;
            }
        }


        /// <summary>
        ///流水号6
        /// </summary>
        public string T006
        {
            get
            {
                return _tradeBusData["T006"];
            }
            set
            {
                _tradeBusData["T006"] = value;
            }
        }


        /// <summary>
        ///流水号7
        /// </summary>
        public string T007
        {
            get
            {
                return _tradeBusData["T007"];
            }
            set
            {
                _tradeBusData["T007"] = value;
            }
        }


        /// <summary>
        ///流水号8
        /// </summary>
        public string T008
        {
            get
            {
                return _tradeBusData["T008"];
            }
            set
            {
                _tradeBusData["T008"] = value;
            }
        }


        /// <summary>
        ///流水号9
        /// </summary>
        public string T009
        {
            get
            {
                return _tradeBusData["T009"];
            }
            set
            {
                _tradeBusData["T009"] = value;
            }
        }


        /// <summary>
        ///流水号10
        /// </summary>
        public string T010
        {
            get
            {
                return _tradeBusData["T010"];
            }
            set
            {
                _tradeBusData["T010"] = value;
            }
        }

        #endregion

        #region 交易号
        /// <summary>
        ///交易号1
        /// </summary>
        public string T011
        {
            get
            {
                return _tradeBusData["T011"];
            }
            set
            {
                _tradeBusData["T011"] = value;
            }
        }


        /// <summary>
        ///交易号2
        /// </summary>
        public string T012
        {
            get
            {
                return _tradeBusData["T012"];
            }
            set
            {
                _tradeBusData["T012"] = value;
            }
        }


        /// <summary>
        ///交易号3
        /// </summary>
        public string T013
        {
            get
            {
                return _tradeBusData["T013"];
            }
            set
            {
                _tradeBusData["T013"] = value;
            }
        }


        /// <summary>
        ///交易号4
        /// </summary>
        public string T014
        {
            get
            {
                return _tradeBusData["T014"];
            }
            set
            {
                _tradeBusData["T014"] = value;
            }
        }


        /// <summary>
        ///交易号5
        /// </summary>
        public string T015
        {
            get
            {
                return _tradeBusData["T015"];
            }
            set
            {
                _tradeBusData["T015"] = value;
            }
        }


        /// <summary>
        ///交易号6
        /// </summary>
        public string T016
        {
            get
            {
                return _tradeBusData["T016"];
            }
            set
            {
                _tradeBusData["T016"] = value;
            }
        }


        /// <summary>
        ///交易号7
        /// </summary>
        public string T017
        {
            get
            {
                return _tradeBusData["T017"];
            }
            set
            {
                _tradeBusData["T017"] = value;
            }
        }


        /// <summary>
        ///交易号8
        /// </summary>
        public string T018
        {
            get
            {
                return _tradeBusData["T018"];
            }
            set
            {
                _tradeBusData["T018"] = value;
            }
        }


        /// <summary>
        ///交易号9
        /// </summary>
        public string T019
        {
            get
            {
                return _tradeBusData["T019"];
            }
            set
            {
                _tradeBusData["T019"] = value;
            }
        }


        /// <summary>
        ///交易号10
        /// </summary>
        public string T020
        {
            get
            {
                return _tradeBusData["T020"];
            }
            set
            {
                _tradeBusData["T020"] = value;
            }
        }

        #endregion

        #region 行号
        /// <summary>
        ///行号1
        /// </summary>
        public string T021
        {
            get
            {
                return _tradeBusData["T021"];
            }
            set
            {
                _tradeBusData["T021"] = value;
            }
        }


        /// <summary>
        ///行号2
        /// </summary>
        public string T022
        {
            get
            {
                return _tradeBusData["T022"];
            }
            set
            {
                _tradeBusData["T022"] = value;
            }
        }


        /// <summary>
        ///行号3
        /// </summary>
        public string T023
        {
            get
            {
                return _tradeBusData["T023"];
            }
            set
            {
                _tradeBusData["T023"] = value;
            }
        }


        /// <summary>
        ///行号4
        /// </summary>
        public string T024
        {
            get
            {
                return _tradeBusData["T024"];
            }
            set
            {
                _tradeBusData["T024"] = value;
            }
        }


        /// <summary>
        ///行号5
        /// </summary>
        public string T025
        {
            get
            {
                return _tradeBusData["T025"];
            }
            set
            {
                _tradeBusData["T025"] = value;
            }
        }


        /// <summary>
        ///行号6
        /// </summary>
        public string T026
        {
            get
            {
                return _tradeBusData["T026"];
            }
            set
            {
                _tradeBusData["T026"] = value;
            }
        }


        /// <summary>
        ///行号7
        /// </summary>
        public string T027
        {
            get
            {
                return _tradeBusData["T027"];
            }
            set
            {
                _tradeBusData["T027"] = value;
            }
        }


        /// <summary>
        ///行号8
        /// </summary>
        public string T028
        {
            get
            {
                return _tradeBusData["T028"];
            }
            set
            {
                _tradeBusData["T028"] = value;
            }
        }


        /// <summary>
        ///行号9
        /// </summary>
        public string T029
        {
            get
            {
                return _tradeBusData["T029"];
            }
            set
            {
                _tradeBusData["T029"] = value;
            }
        }


        /// <summary>
        ///行号10
        /// </summary>
        public string T030
        {
            get
            {
                return _tradeBusData["T030"];
            }
            set
            {
                _tradeBusData["T030"] = value;
            }
        }

        #endregion

        #region 机构号
        /// <summary>
        ///机构号1
        /// </summary>
        public string T031
        {
            get
            {
                return _tradeBusData["T031"];
            }
            set
            {
                _tradeBusData["T031"] = value;
            }
        }


        /// <summary>
        ///机构号2
        /// </summary>
        public string T032
        {
            get
            {
                return _tradeBusData["T032"];
            }
            set
            {
                _tradeBusData["T032"] = value;
            }
        }


        /// <summary>
        ///机构号3
        /// </summary>
        public string T033
        {
            get
            {
                return _tradeBusData["T033"];
            }
            set
            {
                _tradeBusData["T033"] = value;
            }
        }


        /// <summary>
        ///机构号4
        /// </summary>
        public string T034
        {
            get
            {
                return _tradeBusData["T034"];
            }
            set
            {
                _tradeBusData["T034"] = value;
            }
        }


        /// <summary>
        ///机构号5
        /// </summary>
        public string T035
        {
            get
            {
                return _tradeBusData["T035"];
            }
            set
            {
                _tradeBusData["T035"] = value;
            }
        }


        /// <summary>
        ///机构号6
        /// </summary>
        public string T036
        {
            get
            {
                return _tradeBusData["T036"];
            }
            set
            {
                _tradeBusData["T036"] = value;
            }
        }


        /// <summary>
        ///机构号7
        /// </summary>
        public string T037
        {
            get
            {
                return _tradeBusData["T037"];
            }
            set
            {
                _tradeBusData["T037"] = value;
            }
        }


        /// <summary>
        ///机构号8
        /// </summary>
        public string T038
        {
            get
            {
                return _tradeBusData["T038"];
            }
            set
            {
                _tradeBusData["T038"] = value;
            }
        }


        /// <summary>
        ///机构号9
        /// </summary>
        public string T039
        {
            get
            {
                return _tradeBusData["T039"];
            }
            set
            {
                _tradeBusData["T039"] = value;
            }
        }


        /// <summary>
        ///机构号10
        /// </summary>
        public string T040
        {
            get
            {
                return _tradeBusData["T040"];
            }
            set
            {
                _tradeBusData["T040"] = value;
            }
        }

        #endregion

        #region 名称
        /// <summary>
        ///名称1
        /// </summary>
        public string T041
        {
            get
            {
                return _tradeBusData["T041"];
            }
            set
            {
                _tradeBusData["T041"] = value;
            }
        }


        /// <summary>
        ///名称2
        /// </summary>
        public string T042
        {
            get
            {
                return _tradeBusData["T042"];
            }
            set
            {
                _tradeBusData["T042"] = value;
            }
        }


        /// <summary>
        ///名称3
        /// </summary>
        public string T043
        {
            get
            {
                return _tradeBusData["T043"];
            }
            set
            {
                _tradeBusData["T043"] = value;
            }
        }


        /// <summary>
        ///名称4
        /// </summary>
        public string T044
        {
            get
            {
                return _tradeBusData["T044"];
            }
            set
            {
                _tradeBusData["T044"] = value;
            }
        }


        /// <summary>
        ///名称5
        /// </summary>
        public string T045
        {
            get
            {
                return _tradeBusData["T045"];
            }
            set
            {
                _tradeBusData["T045"] = value;
            }
        }


        /// <summary>
        ///名称6
        /// </summary>
        public string T046
        {
            get
            {
                return _tradeBusData["T046"];
            }
            set
            {
                _tradeBusData["T046"] = value;
            }
        }


        /// <summary>
        ///名称7
        /// </summary>
        public string T047
        {
            get
            {
                return _tradeBusData["T047"];
            }
            set
            {
                _tradeBusData["T047"] = value;
            }
        }


        /// <summary>
        ///名称8
        /// </summary>
        public string T048
        {
            get
            {
                return _tradeBusData["T048"];
            }
            set
            {
                _tradeBusData["T048"] = value;
            }
        }


        /// <summary>
        ///名称9
        /// </summary>
        public string T049
        {
            get
            {
                return _tradeBusData["T049"];
            }
            set
            {
                _tradeBusData["T049"] = value;
            }
        }


        /// <summary>
        ///名称10
        /// </summary>
        public string T050
        {
            get
            {
                return _tradeBusData["T050"];
            }
            set
            {
                _tradeBusData["T050"] = value;
            }
        }

        #endregion

        #region 科目号
        /// <summary>
        ///科目号1
        /// </summary>
        public string T051
        {
            get
            {
                return _tradeBusData["T051"];
            }
            set
            {
                _tradeBusData["T051"] = value;
            }
        }


        /// <summary>
        ///科目号2
        /// </summary>
        public string T052
        {
            get
            {
                return _tradeBusData["T052"];
            }
            set
            {
                _tradeBusData["T052"] = value;
            }
        }


        /// <summary>
        ///科目号3
        /// </summary>
        public string T053
        {
            get
            {
                return _tradeBusData["T053"];
            }
            set
            {
                _tradeBusData["T053"] = value;
            }
        }


        /// <summary>
        ///科目号4
        /// </summary>
        public string T054
        {
            get
            {
                return _tradeBusData["T054"];
            }
            set
            {
                _tradeBusData["T054"] = value;
            }
        }


        /// <summary>
        ///科目号5
        /// </summary>
        public string T055
        {
            get
            {
                return _tradeBusData["T055"];
            }
            set
            {
                _tradeBusData["T055"] = value;
            }
        }


        /// <summary>
        ///科目号6
        /// </summary>
        public string T056
        {
            get
            {
                return _tradeBusData["T056"];
            }
            set
            {
                _tradeBusData["T056"] = value;
            }
        }


        /// <summary>
        ///科目号7
        /// </summary>
        public string T057
        {
            get
            {
                return _tradeBusData["T057"];
            }
            set
            {
                _tradeBusData["T057"] = value;
            }
        }


        /// <summary>
        ///科目号8
        /// </summary>
        public string T058
        {
            get
            {
                return _tradeBusData["T058"];
            }
            set
            {
                _tradeBusData["T058"] = value;
            }
        }


        /// <summary>
        ///科目号9
        /// </summary>
        public string T059
        {
            get
            {
                return _tradeBusData["T059"];
            }
            set
            {
                _tradeBusData["T059"] = value;
            }
        }


        /// <summary>
        ///科目号10
        /// </summary>
        public string T060
        {
            get
            {
                return _tradeBusData["T060"];
            }
            set
            {
                _tradeBusData["T060"] = value;
            }
        }

        #endregion

        #region 币种
        /// <summary>
        ///币种1
        /// </summary>
        public string T061
        {
            get
            {
                return _tradeBusData["T061"];
            }
            set
            {
                _tradeBusData["T061"] = value;
            }
        }


        /// <summary>
        ///币种2
        /// </summary>
        public string T062
        {
            get
            {
                return _tradeBusData["T062"];
            }
            set
            {
                _tradeBusData["T062"] = value;
            }
        }


        /// <summary>
        ///币种3
        /// </summary>
        public string T063
        {
            get
            {
                return _tradeBusData["T063"];
            }
            set
            {
                _tradeBusData["T063"] = value;
            }
        }


        /// <summary>
        ///币种4
        /// </summary>
        public string T064
        {
            get
            {
                return _tradeBusData["T064"];
            }
            set
            {
                _tradeBusData["T064"] = value;
            }
        }


        /// <summary>
        ///币种5
        /// </summary>
        public string T065
        {
            get
            {
                return _tradeBusData["T065"];
            }
            set
            {
                _tradeBusData["T065"] = value;
            }
        }


        /// <summary>
        ///币种6
        /// </summary>
        public string T066
        {
            get
            {
                return _tradeBusData["T066"];
            }
            set
            {
                _tradeBusData["T066"] = value;
            }
        }


        /// <summary>
        ///币种7
        /// </summary>
        public string T067
        {
            get
            {
                return _tradeBusData["T067"];
            }
            set
            {
                _tradeBusData["T067"] = value;
            }
        }


        /// <summary>
        ///币种8
        /// </summary>
        public string T068
        {
            get
            {
                return _tradeBusData["T068"];
            }
            set
            {
                _tradeBusData["T068"] = value;
            }
        }


        /// <summary>
        ///币种9
        /// </summary>
        public string T069
        {
            get
            {
                return _tradeBusData["T069"];
            }
            set
            {
                _tradeBusData["T069"] = value;
            }
        }


        /// <summary>
        ///币种10
        /// </summary>
        public string T070
        {
            get
            {
                return _tradeBusData["T070"];
            }
            set
            {
                _tradeBusData["T070"] = value;
            }
        }

        #endregion

        #region 产品类型
        /// <summary>
        ///产品类型1
        /// </summary>
        public string T071
        {
            get
            {
                return _tradeBusData["T071"];
            }
            set
            {
                _tradeBusData["T071"] = value;
            }
        }


        /// <summary>
        ///产品类型2
        /// </summary>
        public string T072
        {
            get
            {
                return _tradeBusData["T072"];
            }
            set
            {
                _tradeBusData["T072"] = value;
            }
        }


        /// <summary>
        ///产品类型3
        /// </summary>
        public string T073
        {
            get
            {
                return _tradeBusData["T073"];
            }
            set
            {
                _tradeBusData["T073"] = value;
            }
        }


        /// <summary>
        ///产品类型4
        /// </summary>
        public string T074
        {
            get
            {
                return _tradeBusData["T074"];
            }
            set
            {
                _tradeBusData["T074"] = value;
            }
        }


        /// <summary>
        ///产品类型5
        /// </summary>
        public string T075
        {
            get
            {
                return _tradeBusData["T075"];
            }
            set
            {
                _tradeBusData["T075"] = value;
            }
        }


        /// <summary>
        ///产品类型6
        /// </summary>
        public string T076
        {
            get
            {
                return _tradeBusData["T076"];
            }
            set
            {
                _tradeBusData["T076"] = value;
            }
        }


        /// <summary>
        ///产品类型7
        /// </summary>
        public string T077
        {
            get
            {
                return _tradeBusData["T077"];
            }
            set
            {
                _tradeBusData["T077"] = value;
            }
        }


        /// <summary>
        ///产品类型8
        /// </summary>
        public string T078
        {
            get
            {
                return _tradeBusData["T078"];
            }
            set
            {
                _tradeBusData["T078"] = value;
            }
        }


        /// <summary>
        ///产品类型9
        /// </summary>
        public string T079
        {
            get
            {
                return _tradeBusData["T079"];
            }
            set
            {
                _tradeBusData["T079"] = value;
            }
        }


        /// <summary>
        ///产品类型10
        /// </summary>
        public string T080
        {
            get
            {
                return _tradeBusData["T080"];
            }
            set
            {
                _tradeBusData["T080"] = value;
            }
        }

        #endregion

        #region 产品编号
        /// <summary>
        ///产品编号1
        /// </summary>
        public string T081
        {
            get
            {
                return _tradeBusData["T081"];
            }
            set
            {
                _tradeBusData["T081"] = value;
            }
        }


        /// <summary>
        ///产品编号2
        /// </summary>
        public string T082
        {
            get
            {
                return _tradeBusData["T082"];
            }
            set
            {
                _tradeBusData["T082"] = value;
            }
        }


        /// <summary>
        ///产品编号3
        /// </summary>
        public string T083
        {
            get
            {
                return _tradeBusData["T083"];
            }
            set
            {
                _tradeBusData["T083"] = value;
            }
        }


        /// <summary>
        ///产品编号4
        /// </summary>
        public string T084
        {
            get
            {
                return _tradeBusData["T084"];
            }
            set
            {
                _tradeBusData["T084"] = value;
            }
        }


        /// <summary>
        ///产品编号5
        /// </summary>
        public string T085
        {
            get
            {
                return _tradeBusData["T085"];
            }
            set
            {
                _tradeBusData["T085"] = value;
            }
        }


        /// <summary>
        ///产品编号6
        /// </summary>
        public string T086
        {
            get
            {
                return _tradeBusData["T086"];
            }
            set
            {
                _tradeBusData["T086"] = value;
            }
        }


        /// <summary>
        ///产品编号7
        /// </summary>
        public string T087
        {
            get
            {
                return _tradeBusData["T087"];
            }
            set
            {
                _tradeBusData["T087"] = value;
            }
        }


        /// <summary>
        ///产品编号8
        /// </summary>
        public string T088
        {
            get
            {
                return _tradeBusData["T088"];
            }
            set
            {
                _tradeBusData["T088"] = value;
            }
        }


        /// <summary>
        ///产品编号9
        /// </summary>
        public string T089
        {
            get
            {
                return _tradeBusData["T089"];
            }
            set
            {
                _tradeBusData["T089"] = value;
            }
        }


        /// <summary>
        ///产品编号10
        /// </summary>
        public string T090
        {
            get
            {
                return _tradeBusData["T090"];
            }
            set
            {
                _tradeBusData["T090"] = value;
            }
        }

        #endregion

        #region 地址
        /// <summary>
        ///地址1
        /// </summary>
        public string T091
        {
            get
            {
                return _tradeBusData["T091"];
            }
            set
            {
                _tradeBusData["T091"] = value;
            }
        }


        /// <summary>
        ///地址2
        /// </summary>
        public string T092
        {
            get
            {
                return _tradeBusData["T092"];
            }
            set
            {
                _tradeBusData["T092"] = value;
            }
        }


        /// <summary>
        ///地址3
        /// </summary>
        public string T093
        {
            get
            {
                return _tradeBusData["T093"];
            }
            set
            {
                _tradeBusData["T093"] = value;
            }
        }


        /// <summary>
        ///地址4
        /// </summary>
        public string T094
        {
            get
            {
                return _tradeBusData["T094"];
            }
            set
            {
                _tradeBusData["T094"] = value;
            }
        }


        /// <summary>
        ///地址5
        /// </summary>
        public string T095
        {
            get
            {
                return _tradeBusData["T095"];
            }
            set
            {
                _tradeBusData["T095"] = value;
            }
        }


        /// <summary>
        ///地址6
        /// </summary>
        public string T096
        {
            get
            {
                return _tradeBusData["T096"];
            }
            set
            {
                _tradeBusData["T096"] = value;
            }
        }


        /// <summary>
        ///地址7
        /// </summary>
        public string T097
        {
            get
            {
                return _tradeBusData["T097"];
            }
            set
            {
                _tradeBusData["T097"] = value;
            }
        }


        /// <summary>
        ///地址8
        /// </summary>
        public string T098
        {
            get
            {
                return _tradeBusData["T098"];
            }
            set
            {
                _tradeBusData["T098"] = value;
            }
        }


        /// <summary>
        ///地址9
        /// </summary>
        public string T099
        {
            get
            {
                return _tradeBusData["T099"];
            }
            set
            {
                _tradeBusData["T099"] = value;
            }
        }


        /// <summary>
        ///地址10
        /// </summary>
        public string T100
        {
            get
            {
                return _tradeBusData["T100"];
            }
            set
            {
                _tradeBusData["T100"] = value;
            }
        }

        #endregion

        #region 电话
        /// <summary>
        ///电话1
        /// </summary>
        public string T101
        {
            get
            {
                return _tradeBusData["T101"];
            }
            set
            {
                _tradeBusData["T101"] = value;
            }
        }


        /// <summary>
        ///电话2
        /// </summary>
        public string T102
        {
            get
            {
                return _tradeBusData["T102"];
            }
            set
            {
                _tradeBusData["T102"] = value;
            }
        }


        /// <summary>
        ///电话3
        /// </summary>
        public string T103
        {
            get
            {
                return _tradeBusData["T103"];
            }
            set
            {
                _tradeBusData["T103"] = value;
            }
        }


        /// <summary>
        ///电话4
        /// </summary>
        public string T104
        {
            get
            {
                return _tradeBusData["T104"];
            }
            set
            {
                _tradeBusData["T104"] = value;
            }
        }


        /// <summary>
        ///电话5
        /// </summary>
        public string T105
        {
            get
            {
                return _tradeBusData["T105"];
            }
            set
            {
                _tradeBusData["T105"] = value;
            }
        }


        /// <summary>
        ///电话6
        /// </summary>
        public string T106
        {
            get
            {
                return _tradeBusData["T106"];
            }
            set
            {
                _tradeBusData["T106"] = value;
            }
        }


        /// <summary>
        ///电话7
        /// </summary>
        public string T107
        {
            get
            {
                return _tradeBusData["T107"];
            }
            set
            {
                _tradeBusData["T107"] = value;
            }
        }


        /// <summary>
        ///电话8
        /// </summary>
        public string T108
        {
            get
            {
                return _tradeBusData["T108"];
            }
            set
            {
                _tradeBusData["T108"] = value;
            }
        }


        /// <summary>
        ///电话9
        /// </summary>
        public string T109
        {
            get
            {
                return _tradeBusData["T109"];
            }
            set
            {
                _tradeBusData["T109"] = value;
            }
        }


        /// <summary>
        ///电话10
        /// </summary>
        public string T110
        {
            get
            {
                return _tradeBusData["T110"];
            }
            set
            {
                _tradeBusData["T110"] = value;
            }
        }

        #endregion

        #region 客户号
        /// <summary>
        ///客户号1
        /// </summary>
        public string T111
        {
            get
            {
                return _tradeBusData["T111"];
            }
            set
            {
                _tradeBusData["T111"] = value;
            }
        }


        /// <summary>
        ///客户号2
        /// </summary>
        public string T112
        {
            get
            {
                return _tradeBusData["T112"];
            }
            set
            {
                _tradeBusData["T112"] = value;
            }
        }


        /// <summary>
        ///客户号3
        /// </summary>
        public string T113
        {
            get
            {
                return _tradeBusData["T113"];
            }
            set
            {
                _tradeBusData["T113"] = value;
            }
        }


        /// <summary>
        ///客户号4
        /// </summary>
        public string T114
        {
            get
            {
                return _tradeBusData["T114"];
            }
            set
            {
                _tradeBusData["T114"] = value;
            }
        }


        /// <summary>
        ///客户号5
        /// </summary>
        public string T115
        {
            get
            {
                return _tradeBusData["T115"];
            }
            set
            {
                _tradeBusData["T115"] = value;
            }
        }


        /// <summary>
        ///客户号6
        /// </summary>
        public string T116
        {
            get
            {
                return _tradeBusData["T116"];
            }
            set
            {
                _tradeBusData["T116"] = value;
            }
        }


        /// <summary>
        ///客户号7
        /// </summary>
        public string T117
        {
            get
            {
                return _tradeBusData["T117"];
            }
            set
            {
                _tradeBusData["T117"] = value;
            }
        }


        /// <summary>
        ///客户号8
        /// </summary>
        public string T118
        {
            get
            {
                return _tradeBusData["T118"];
            }
            set
            {
                _tradeBusData["T118"] = value;
            }
        }


        /// <summary>
        ///客户号9
        /// </summary>
        public string T119
        {
            get
            {
                return _tradeBusData["T119"];
            }
            set
            {
                _tradeBusData["T119"] = value;
            }
        }


        /// <summary>
        ///客户号10
        /// </summary>
        public string T120
        {
            get
            {
                return _tradeBusData["T120"];
            }
            set
            {
                _tradeBusData["T120"] = value;
            }
        }

        #endregion

        #region 卡号
        /// <summary>
        ///卡号1
        /// </summary>
        public string T121
        {
            get
            {
                return _tradeBusData["T121"];
            }
            set
            {
                _tradeBusData["T121"] = value;
            }
        }


        /// <summary>
        ///卡号2
        /// </summary>
        public string T122
        {
            get
            {
                return _tradeBusData["T122"];
            }
            set
            {
                _tradeBusData["T122"] = value;
            }
        }


        /// <summary>
        ///卡号3
        /// </summary>
        public string T123
        {
            get
            {
                return _tradeBusData["T123"];
            }
            set
            {
                _tradeBusData["T123"] = value;
            }
        }


        /// <summary>
        ///卡号4
        /// </summary>
        public string T124
        {
            get
            {
                return _tradeBusData["T124"];
            }
            set
            {
                _tradeBusData["T124"] = value;
            }
        }


        /// <summary>
        ///卡号5
        /// </summary>
        public string T125
        {
            get
            {
                return _tradeBusData["T125"];
            }
            set
            {
                _tradeBusData["T125"] = value;
            }
        }


        /// <summary>
        ///卡号6
        /// </summary>
        public string T126
        {
            get
            {
                return _tradeBusData["T126"];
            }
            set
            {
                _tradeBusData["T126"] = value;
            }
        }


        /// <summary>
        ///卡号7
        /// </summary>
        public string T127
        {
            get
            {
                return _tradeBusData["T127"];
            }
            set
            {
                _tradeBusData["T127"] = value;
            }
        }


        /// <summary>
        ///卡号8
        /// </summary>
        public string T128
        {
            get
            {
                return _tradeBusData["T128"];
            }
            set
            {
                _tradeBusData["T128"] = value;
            }
        }


        /// <summary>
        ///卡号9
        /// </summary>
        public string T129
        {
            get
            {
                return _tradeBusData["T129"];
            }
            set
            {
                _tradeBusData["T129"] = value;
            }
        }


        /// <summary>
        ///卡号10
        /// </summary>
        public string T130
        {
            get
            {
                return _tradeBusData["T130"];
            }
            set
            {
                _tradeBusData["T130"] = value;
            }
        }

        #endregion

        #region 账号
        /// <summary>
        ///账号1
        /// </summary>
        public string T131
        {
            get
            {
                return _tradeBusData["T131"];
            }
            set
            {
                _tradeBusData["T131"] = value;
            }
        }


        /// <summary>
        ///账号2
        /// </summary>
        public string T132
        {
            get
            {
                return _tradeBusData["T132"];
            }
            set
            {
                _tradeBusData["T132"] = value;
            }
        }


        /// <summary>
        ///账号3
        /// </summary>
        public string T133
        {
            get
            {
                return _tradeBusData["T133"];
            }
            set
            {
                _tradeBusData["T133"] = value;
            }
        }


        /// <summary>
        ///账号4
        /// </summary>
        public string T134
        {
            get
            {
                return _tradeBusData["T134"];
            }
            set
            {
                _tradeBusData["T134"] = value;
            }
        }


        /// <summary>
        ///账号5
        /// </summary>
        public string T135
        {
            get
            {
                return _tradeBusData["T135"];
            }
            set
            {
                _tradeBusData["T135"] = value;
            }
        }


        /// <summary>
        ///账号6
        /// </summary>
        public string T136
        {
            get
            {
                return _tradeBusData["T136"];
            }
            set
            {
                _tradeBusData["T136"] = value;
            }
        }


        /// <summary>
        ///账号7
        /// </summary>
        public string T137
        {
            get
            {
                return _tradeBusData["T137"];
            }
            set
            {
                _tradeBusData["T137"] = value;
            }
        }


        /// <summary>
        ///账号8
        /// </summary>
        public string T138
        {
            get
            {
                return _tradeBusData["T138"];
            }
            set
            {
                _tradeBusData["T138"] = value;
            }
        }


        /// <summary>
        ///账号9
        /// </summary>
        public string T139
        {
            get
            {
                return _tradeBusData["T139"];
            }
            set
            {
                _tradeBusData["T139"] = value;
            }
        }


        /// <summary>
        ///账号10
        /// </summary>
        public string T140
        {
            get
            {
                return _tradeBusData["T140"];
            }
            set
            {
                _tradeBusData["T140"] = value;
            }
        }

        #endregion

        #region 账户序号
        /// <summary>
        ///账户序号1
        /// </summary>
        public string T141
        {
            get
            {
                return _tradeBusData["T141"];
            }
            set
            {
                _tradeBusData["T141"] = value;
            }
        }


        /// <summary>
        ///账户序号2
        /// </summary>
        public string T142
        {
            get
            {
                return _tradeBusData["T142"];
            }
            set
            {
                _tradeBusData["T142"] = value;
            }
        }


        /// <summary>
        ///账户序号3
        /// </summary>
        public string T143
        {
            get
            {
                return _tradeBusData["T143"];
            }
            set
            {
                _tradeBusData["T143"] = value;
            }
        }


        /// <summary>
        ///账户序号4
        /// </summary>
        public string T144
        {
            get
            {
                return _tradeBusData["T144"];
            }
            set
            {
                _tradeBusData["T144"] = value;
            }
        }


        /// <summary>
        ///账户序号5
        /// </summary>
        public string T145
        {
            get
            {
                return _tradeBusData["T145"];
            }
            set
            {
                _tradeBusData["T145"] = value;
            }
        }


        /// <summary>
        ///账户序号6
        /// </summary>
        public string T146
        {
            get
            {
                return _tradeBusData["T146"];
            }
            set
            {
                _tradeBusData["T146"] = value;
            }
        }


        /// <summary>
        ///账户序号7
        /// </summary>
        public string T147
        {
            get
            {
                return _tradeBusData["T147"];
            }
            set
            {
                _tradeBusData["T147"] = value;
            }
        }


        /// <summary>
        ///账户序号8
        /// </summary>
        public string T148
        {
            get
            {
                return _tradeBusData["T148"];
            }
            set
            {
                _tradeBusData["T148"] = value;
            }
        }


        /// <summary>
        ///账户序号9
        /// </summary>
        public string T149
        {
            get
            {
                return _tradeBusData["T149"];
            }
            set
            {
                _tradeBusData["T149"] = value;
            }
        }


        /// <summary>
        ///账户序号10
        /// </summary>
        public string T150
        {
            get
            {
                return _tradeBusData["T150"];
            }
            set
            {
                _tradeBusData["T150"] = value;
            }
        }

        #endregion

        #region 金额
        /// <summary>
        ///金额1
        /// </summary>
        public string T151
        {
            get
            {
                return _tradeBusData["T151"];
            }
            set
            {
                _tradeBusData["T151"] = value;
            }
        }


        /// <summary>
        ///金额2
        /// </summary>
        public string T152
        {
            get
            {
                return _tradeBusData["T152"];
            }
            set
            {
                _tradeBusData["T152"] = value;
            }
        }


        /// <summary>
        ///金额3
        /// </summary>
        public string T153
        {
            get
            {
                return _tradeBusData["T153"];
            }
            set
            {
                _tradeBusData["T153"] = value;
            }
        }


        /// <summary>
        ///金额4
        /// </summary>
        public string T154
        {
            get
            {
                return _tradeBusData["T154"];
            }
            set
            {
                _tradeBusData["T154"] = value;
            }
        }


        /// <summary>
        ///金额5
        /// </summary>
        public string T155
        {
            get
            {
                return _tradeBusData["T155"];
            }
            set
            {
                _tradeBusData["T155"] = value;
            }
        }


        /// <summary>
        ///金额6
        /// </summary>
        public string T156
        {
            get
            {
                return _tradeBusData["T156"];
            }
            set
            {
                _tradeBusData["T156"] = value;
            }
        }


        /// <summary>
        ///金额7
        /// </summary>
        public string T157
        {
            get
            {
                return _tradeBusData["T157"];
            }
            set
            {
                _tradeBusData["T157"] = value;
            }
        }


        /// <summary>
        ///金额8
        /// </summary>
        public string T158
        {
            get
            {
                return _tradeBusData["T158"];
            }
            set
            {
                _tradeBusData["T158"] = value;
            }
        }


        /// <summary>
        ///金额9
        /// </summary>
        public string T159
        {
            get
            {
                return _tradeBusData["T159"];
            }
            set
            {
                _tradeBusData["T159"] = value;
            }
        }


        /// <summary>
        ///金额10
        /// </summary>
        public string T160
        {
            get
            {
                return _tradeBusData["T160"];
            }
            set
            {
                _tradeBusData["T160"] = value;
            }
        }

        #endregion

        #region 日期
        /// <summary>
        ///日期1
        /// </summary>
        public string T161
        {
            get
            {
                return _tradeBusData["T161"];
            }
            set
            {
                _tradeBusData["T161"] = value;
            }
        }


        /// <summary>
        ///日期2
        /// </summary>
        public string T162
        {
            get
            {
                return _tradeBusData["T162"];
            }
            set
            {
                _tradeBusData["T162"] = value;
            }
        }


        /// <summary>
        ///日期3
        /// </summary>
        public string T163
        {
            get
            {
                return _tradeBusData["T163"];
            }
            set
            {
                _tradeBusData["T163"] = value;
            }
        }


        /// <summary>
        ///日期4
        /// </summary>
        public string T164
        {
            get
            {
                return _tradeBusData["T164"];
            }
            set
            {
                _tradeBusData["T164"] = value;
            }
        }


        /// <summary>
        ///日期5
        /// </summary>
        public string T165
        {
            get
            {
                return _tradeBusData["T165"];
            }
            set
            {
                _tradeBusData["T165"] = value;
            }
        }


        /// <summary>
        ///日期6
        /// </summary>
        public string T166
        {
            get
            {
                return _tradeBusData["T166"];
            }
            set
            {
                _tradeBusData["T166"] = value;
            }
        }


        /// <summary>
        ///日期7
        /// </summary>
        public string T167
        {
            get
            {
                return _tradeBusData["T167"];
            }
            set
            {
                _tradeBusData["T167"] = value;
            }
        }


        /// <summary>
        ///日期8
        /// </summary>
        public string T168
        {
            get
            {
                return _tradeBusData["T168"];
            }
            set
            {
                _tradeBusData["T168"] = value;
            }
        }


        /// <summary>
        ///日期9
        /// </summary>
        public string T169
        {
            get
            {
                return _tradeBusData["T169"];
            }
            set
            {
                _tradeBusData["T169"] = value;
            }
        }


        /// <summary>
        ///日期10
        /// </summary>
        public string T170
        {
            get
            {
                return _tradeBusData["T170"];
            }
            set
            {
                _tradeBusData["T170"] = value;
            }
        }

        #endregion

        #region 百分比
        /// <summary>
        ///百分比1
        /// </summary>
        public string T171
        {
            get
            {
                return _tradeBusData["T171"];
            }
            set
            {
                _tradeBusData["T171"] = value;
            }
        }


        /// <summary>
        ///百分比2
        /// </summary>
        public string T172
        {
            get
            {
                return _tradeBusData["T172"];
            }
            set
            {
                _tradeBusData["T172"] = value;
            }
        }


        /// <summary>
        ///百分比3
        /// </summary>
        public string T173
        {
            get
            {
                return _tradeBusData["T173"];
            }
            set
            {
                _tradeBusData["T173"] = value;
            }
        }


        /// <summary>
        ///百分比4
        /// </summary>
        public string T174
        {
            get
            {
                return _tradeBusData["T174"];
            }
            set
            {
                _tradeBusData["T174"] = value;
            }
        }


        /// <summary>
        ///百分比5
        /// </summary>
        public string T175
        {
            get
            {
                return _tradeBusData["T175"];
            }
            set
            {
                _tradeBusData["T175"] = value;
            }
        }


        /// <summary>
        ///百分比6
        /// </summary>
        public string T176
        {
            get
            {
                return _tradeBusData["T176"];
            }
            set
            {
                _tradeBusData["T176"] = value;
            }
        }


        /// <summary>
        ///百分比7
        /// </summary>
        public string T177
        {
            get
            {
                return _tradeBusData["T177"];
            }
            set
            {
                _tradeBusData["T177"] = value;
            }
        }


        /// <summary>
        ///百分比8
        /// </summary>
        public string T178
        {
            get
            {
                return _tradeBusData["T178"];
            }
            set
            {
                _tradeBusData["T178"] = value;
            }
        }


        /// <summary>
        ///百分比9
        /// </summary>
        public string T179
        {
            get
            {
                return _tradeBusData["T179"];
            }
            set
            {
                _tradeBusData["T179"] = value;
            }
        }


        /// <summary>
        ///百分比10
        /// </summary>
        public string T180
        {
            get
            {
                return _tradeBusData["T180"];
            }
            set
            {
                _tradeBusData["T180"] = value;
            }
        }

        #endregion

        #region 积数
        /// <summary>
        ///积数1
        /// </summary>
        public string T181
        {
            get
            {
                return _tradeBusData["T181"];
            }
            set
            {
                _tradeBusData["T181"] = value;
            }
        }


        /// <summary>
        ///积数2
        /// </summary>
        public string T182
        {
            get
            {
                return _tradeBusData["T182"];
            }
            set
            {
                _tradeBusData["T182"] = value;
            }
        }


        /// <summary>
        ///积数3
        /// </summary>
        public string T183
        {
            get
            {
                return _tradeBusData["T183"];
            }
            set
            {
                _tradeBusData["T183"] = value;
            }
        }


        /// <summary>
        ///积数4
        /// </summary>
        public string T184
        {
            get
            {
                return _tradeBusData["T184"];
            }
            set
            {
                _tradeBusData["T184"] = value;
            }
        }


        /// <summary>
        ///积数5
        /// </summary>
        public string T185
        {
            get
            {
                return _tradeBusData["T185"];
            }
            set
            {
                _tradeBusData["T185"] = value;
            }
        }


        /// <summary>
        ///积数6
        /// </summary>
        public string T186
        {
            get
            {
                return _tradeBusData["T186"];
            }
            set
            {
                _tradeBusData["T186"] = value;
            }
        }


        /// <summary>
        ///积数7
        /// </summary>
        public string T187
        {
            get
            {
                return _tradeBusData["T187"];
            }
            set
            {
                _tradeBusData["T187"] = value;
            }
        }


        /// <summary>
        ///积数8
        /// </summary>
        public string T188
        {
            get
            {
                return _tradeBusData["T188"];
            }
            set
            {
                _tradeBusData["T188"] = value;
            }
        }


        /// <summary>
        ///积数9
        /// </summary>
        public string T189
        {
            get
            {
                return _tradeBusData["T189"];
            }
            set
            {
                _tradeBusData["T189"] = value;
            }
        }


        /// <summary>
        ///积数10
        /// </summary>
        public string T190
        {
            get
            {
                return _tradeBusData["T190"];
            }
            set
            {
                _tradeBusData["T190"] = value;
            }
        }

        #endregion

        #region 凭证号
        /// <summary>
        ///凭证号1
        /// </summary>
        public string T191
        {
            get
            {
                return _tradeBusData["T191"];
            }
            set
            {
                _tradeBusData["T191"] = value;
            }
        }


        /// <summary>
        ///凭证号2
        /// </summary>
        public string T192
        {
            get
            {
                return _tradeBusData["T192"];
            }
            set
            {
                _tradeBusData["T192"] = value;
            }
        }


        /// <summary>
        ///凭证号3
        /// </summary>
        public string T193
        {
            get
            {
                return _tradeBusData["T193"];
            }
            set
            {
                _tradeBusData["T193"] = value;
            }
        }


        /// <summary>
        ///凭证号4
        /// </summary>
        public string T194
        {
            get
            {
                return _tradeBusData["T194"];
            }
            set
            {
                _tradeBusData["T194"] = value;
            }
        }


        /// <summary>
        ///凭证号5
        /// </summary>
        public string T195
        {
            get
            {
                return _tradeBusData["T195"];
            }
            set
            {
                _tradeBusData["T195"] = value;
            }
        }


        /// <summary>
        ///凭证号6
        /// </summary>
        public string T196
        {
            get
            {
                return _tradeBusData["T196"];
            }
            set
            {
                _tradeBusData["T196"] = value;
            }
        }


        /// <summary>
        ///凭证号7
        /// </summary>
        public string T197
        {
            get
            {
                return _tradeBusData["T197"];
            }
            set
            {
                _tradeBusData["T197"] = value;
            }
        }


        /// <summary>
        ///凭证号8
        /// </summary>
        public string T198
        {
            get
            {
                return _tradeBusData["T198"];
            }
            set
            {
                _tradeBusData["T198"] = value;
            }
        }


        /// <summary>
        ///凭证号9
        /// </summary>
        public string T199
        {
            get
            {
                return _tradeBusData["T199"];
            }
            set
            {
                _tradeBusData["T199"] = value;
            }
        }


        /// <summary>
        ///凭证号10
        /// </summary>
        public string T200
        {
            get
            {
                return _tradeBusData["T200"];
            }
            set
            {
                _tradeBusData["T200"] = value;
            }
        }

        #endregion

        #region 合同号
        /// <summary>
        ///合同号1
        /// </summary>
        public string T201
        {
            get
            {
                return _tradeBusData["T201"];
            }
            set
            {
                _tradeBusData["T201"] = value;
            }
        }


        /// <summary>
        ///合同号2
        /// </summary>
        public string T202
        {
            get
            {
                return _tradeBusData["T202"];
            }
            set
            {
                _tradeBusData["T202"] = value;
            }
        }


        /// <summary>
        ///合同号3
        /// </summary>
        public string T203
        {
            get
            {
                return _tradeBusData["T203"];
            }
            set
            {
                _tradeBusData["T203"] = value;
            }
        }


        /// <summary>
        ///合同号4
        /// </summary>
        public string T204
        {
            get
            {
                return _tradeBusData["T204"];
            }
            set
            {
                _tradeBusData["T204"] = value;
            }
        }


        /// <summary>
        ///合同号5
        /// </summary>
        public string T205
        {
            get
            {
                return _tradeBusData["T205"];
            }
            set
            {
                _tradeBusData["T205"] = value;
            }
        }


        /// <summary>
        ///合同号6
        /// </summary>
        public string T206
        {
            get
            {
                return _tradeBusData["T206"];
            }
            set
            {
                _tradeBusData["T206"] = value;
            }
        }


        /// <summary>
        ///合同号7
        /// </summary>
        public string T207
        {
            get
            {
                return _tradeBusData["T207"];
            }
            set
            {
                _tradeBusData["T207"] = value;
            }
        }


        /// <summary>
        ///合同号8
        /// </summary>
        public string T208
        {
            get
            {
                return _tradeBusData["T208"];
            }
            set
            {
                _tradeBusData["T208"] = value;
            }
        }


        /// <summary>
        ///合同号9
        /// </summary>
        public string T209
        {
            get
            {
                return _tradeBusData["T209"];
            }
            set
            {
                _tradeBusData["T209"] = value;
            }
        }


        /// <summary>
        ///合同号10
        /// </summary>
        public string T210
        {
            get
            {
                return _tradeBusData["T210"];
            }
            set
            {
                _tradeBusData["T210"] = value;
            }
        }

        #endregion

        #region 票据编号
        /// <summary>
        ///票据编号1
        /// </summary>
        public string T211
        {
            get
            {
                return _tradeBusData["T211"];
            }
            set
            {
                _tradeBusData["T211"] = value;
            }
        }


        /// <summary>
        ///票据编号2
        /// </summary>
        public string T212
        {
            get
            {
                return _tradeBusData["T212"];
            }
            set
            {
                _tradeBusData["T212"] = value;
            }
        }


        /// <summary>
        ///票据编号3
        /// </summary>
        public string T213
        {
            get
            {
                return _tradeBusData["T213"];
            }
            set
            {
                _tradeBusData["T213"] = value;
            }
        }


        /// <summary>
        ///票据编号4
        /// </summary>
        public string T214
        {
            get
            {
                return _tradeBusData["T214"];
            }
            set
            {
                _tradeBusData["T214"] = value;
            }
        }


        /// <summary>
        ///票据编号5
        /// </summary>
        public string T215
        {
            get
            {
                return _tradeBusData["T215"];
            }
            set
            {
                _tradeBusData["T215"] = value;
            }
        }


        /// <summary>
        ///票据编号6
        /// </summary>
        public string T216
        {
            get
            {
                return _tradeBusData["T216"];
            }
            set
            {
                _tradeBusData["T216"] = value;
            }
        }


        /// <summary>
        ///票据编号7
        /// </summary>
        public string T217
        {
            get
            {
                return _tradeBusData["T217"];
            }
            set
            {
                _tradeBusData["T217"] = value;
            }
        }


        /// <summary>
        ///票据编号8
        /// </summary>
        public string T218
        {
            get
            {
                return _tradeBusData["T218"];
            }
            set
            {
                _tradeBusData["T218"] = value;
            }
        }


        /// <summary>
        ///票据编号9
        /// </summary>
        public string T219
        {
            get
            {
                return _tradeBusData["T219"];
            }
            set
            {
                _tradeBusData["T219"] = value;
            }
        }


        /// <summary>
        ///票据编号10
        /// </summary>
        public string T220
        {
            get
            {
                return _tradeBusData["T220"];
            }
            set
            {
                _tradeBusData["T220"] = value;
            }
        }

        #endregion

        #region 借据编号
        /// <summary>
        ///借据编号1
        /// </summary>
        public string T221
        {
            get
            {
                return _tradeBusData["T221"];
            }
            set
            {
                _tradeBusData["T221"] = value;
            }
        }


        /// <summary>
        ///借据编号2
        /// </summary>
        public string T222
        {
            get
            {
                return _tradeBusData["T222"];
            }
            set
            {
                _tradeBusData["T222"] = value;
            }
        }


        /// <summary>
        ///借据编号3
        /// </summary>
        public string T223
        {
            get
            {
                return _tradeBusData["T223"];
            }
            set
            {
                _tradeBusData["T223"] = value;
            }
        }


        /// <summary>
        ///借据编号4
        /// </summary>
        public string T224
        {
            get
            {
                return _tradeBusData["T224"];
            }
            set
            {
                _tradeBusData["T224"] = value;
            }
        }


        /// <summary>
        ///借据编号5
        /// </summary>
        public string T225
        {
            get
            {
                return _tradeBusData["T225"];
            }
            set
            {
                _tradeBusData["T225"] = value;
            }
        }


        /// <summary>
        ///借据编号6
        /// </summary>
        public string T226
        {
            get
            {
                return _tradeBusData["T226"];
            }
            set
            {
                _tradeBusData["T226"] = value;
            }
        }


        /// <summary>
        ///借据编号7
        /// </summary>
        public string T227
        {
            get
            {
                return _tradeBusData["T227"];
            }
            set
            {
                _tradeBusData["T227"] = value;
            }
        }


        /// <summary>
        ///借据编号8
        /// </summary>
        public string T228
        {
            get
            {
                return _tradeBusData["T228"];
            }
            set
            {
                _tradeBusData["T228"] = value;
            }
        }


        /// <summary>
        ///借据编号9
        /// </summary>
        public string T229
        {
            get
            {
                return _tradeBusData["T229"];
            }
            set
            {
                _tradeBusData["T229"] = value;
            }
        }


        /// <summary>
        ///借据编号10
        /// </summary>
        public string T230
        {
            get
            {
                return _tradeBusData["T230"];
            }
            set
            {
                _tradeBusData["T230"] = value;
            }
        }

        #endregion

        #region 协议编号
        /// <summary>
        ///协议编号1
        /// </summary>
        public string T231
        {
            get
            {
                return _tradeBusData["T231"];
            }
            set
            {
                _tradeBusData["T231"] = value;
            }
        }


        /// <summary>
        ///协议编号2
        /// </summary>
        public string T232
        {
            get
            {
                return _tradeBusData["T232"];
            }
            set
            {
                _tradeBusData["T232"] = value;
            }
        }


        /// <summary>
        ///协议编号3
        /// </summary>
        public string T233
        {
            get
            {
                return _tradeBusData["T233"];
            }
            set
            {
                _tradeBusData["T233"] = value;
            }
        }


        /// <summary>
        ///协议编号4
        /// </summary>
        public string T234
        {
            get
            {
                return _tradeBusData["T234"];
            }
            set
            {
                _tradeBusData["T234"] = value;
            }
        }


        /// <summary>
        ///协议编号5
        /// </summary>
        public string T235
        {
            get
            {
                return _tradeBusData["T235"];
            }
            set
            {
                _tradeBusData["T235"] = value;
            }
        }


        /// <summary>
        ///协议编号6
        /// </summary>
        public string T236
        {
            get
            {
                return _tradeBusData["T236"];
            }
            set
            {
                _tradeBusData["T236"] = value;
            }
        }


        /// <summary>
        ///协议编号7
        /// </summary>
        public string T237
        {
            get
            {
                return _tradeBusData["T237"];
            }
            set
            {
                _tradeBusData["T237"] = value;
            }
        }


        /// <summary>
        ///协议编号8
        /// </summary>
        public string T238
        {
            get
            {
                return _tradeBusData["T238"];
            }
            set
            {
                _tradeBusData["T238"] = value;
            }
        }


        /// <summary>
        ///协议编号9
        /// </summary>
        public string T239
        {
            get
            {
                return _tradeBusData["T239"];
            }
            set
            {
                _tradeBusData["T239"] = value;
            }
        }


        /// <summary>
        ///协议编号10
        /// </summary>
        public string T240
        {
            get
            {
                return _tradeBusData["T240"];
            }
            set
            {
                _tradeBusData["T240"] = value;
            }
        }

        #endregion

        #region 证件号码
        /// <summary>
        ///证件号码1
        /// </summary>
        public string T241
        {
            get
            {
                return _tradeBusData["T241"];
            }
            set
            {
                _tradeBusData["T241"] = value;
            }
        }


        /// <summary>
        ///证件号码2
        /// </summary>
        public string T242
        {
            get
            {
                return _tradeBusData["T242"];
            }
            set
            {
                _tradeBusData["T242"] = value;
            }
        }


        /// <summary>
        ///证件号码3
        /// </summary>
        public string T243
        {
            get
            {
                return _tradeBusData["T243"];
            }
            set
            {
                _tradeBusData["T243"] = value;
            }
        }


        /// <summary>
        ///证件号码4
        /// </summary>
        public string T244
        {
            get
            {
                return _tradeBusData["T244"];
            }
            set
            {
                _tradeBusData["T244"] = value;
            }
        }


        /// <summary>
        ///证件号码5
        /// </summary>
        public string T245
        {
            get
            {
                return _tradeBusData["T245"];
            }
            set
            {
                _tradeBusData["T245"] = value;
            }
        }


        /// <summary>
        ///证件号码6
        /// </summary>
        public string T246
        {
            get
            {
                return _tradeBusData["T246"];
            }
            set
            {
                _tradeBusData["T246"] = value;
            }
        }


        /// <summary>
        ///证件号码7
        /// </summary>
        public string T247
        {
            get
            {
                return _tradeBusData["T247"];
            }
            set
            {
                _tradeBusData["T247"] = value;
            }
        }


        /// <summary>
        ///证件号码8
        /// </summary>
        public string T248
        {
            get
            {
                return _tradeBusData["T248"];
            }
            set
            {
                _tradeBusData["T248"] = value;
            }
        }


        /// <summary>
        ///证件号码9
        /// </summary>
        public string T249
        {
            get
            {
                return _tradeBusData["T249"];
            }
            set
            {
                _tradeBusData["T249"] = value;
            }
        }


        /// <summary>
        ///证件号码10
        /// </summary>
        public string T250
        {
            get
            {
                return _tradeBusData["T250"];
            }
            set
            {
                _tradeBusData["T250"] = value;
            }
        }

        #endregion

        #region 标志
        /// <summary>
        ///标志1
        /// </summary>
        public string T251
        {
            get
            {
                return _tradeBusData["T251"];
            }
            set
            {
                _tradeBusData["T251"] = value;
            }
        }


        /// <summary>
        ///标志2
        /// </summary>
        public string T252
        {
            get
            {
                return _tradeBusData["T252"];
            }
            set
            {
                _tradeBusData["T252"] = value;
            }
        }


        /// <summary>
        ///标志3
        /// </summary>
        public string T253
        {
            get
            {
                return _tradeBusData["T253"];
            }
            set
            {
                _tradeBusData["T253"] = value;
            }
        }


        /// <summary>
        ///标志4
        /// </summary>
        public string T254
        {
            get
            {
                return _tradeBusData["T254"];
            }
            set
            {
                _tradeBusData["T254"] = value;
            }
        }


        /// <summary>
        ///标志5
        /// </summary>
        public string T255
        {
            get
            {
                return _tradeBusData["T255"];
            }
            set
            {
                _tradeBusData["T255"] = value;
            }
        }


        /// <summary>
        ///标志6
        /// </summary>
        public string T256
        {
            get
            {
                return _tradeBusData["T256"];
            }
            set
            {
                _tradeBusData["T256"] = value;
            }
        }


        /// <summary>
        ///标志7
        /// </summary>
        public string T257
        {
            get
            {
                return _tradeBusData["T257"];
            }
            set
            {
                _tradeBusData["T257"] = value;
            }
        }


        /// <summary>
        ///标志8
        /// </summary>
        public string T258
        {
            get
            {
                return _tradeBusData["T258"];
            }
            set
            {
                _tradeBusData["T258"] = value;
            }
        }


        /// <summary>
        ///标志9
        /// </summary>
        public string T259
        {
            get
            {
                return _tradeBusData["T259"];
            }
            set
            {
                _tradeBusData["T259"] = value;
            }
        }


        /// <summary>
        ///标志10
        /// </summary>
        public string T260
        {
            get
            {
                return _tradeBusData["T260"];
            }
            set
            {
                _tradeBusData["T260"] = value;
            }
        }

        #endregion

        #region 密码
        /// <summary>
        ///密码1
        /// </summary>
        public string T261
        {
            get
            {
                return _tradeBusData["T261"];
            }
            set
            {
                _tradeBusData["T261"] = value;
            }
        }


        /// <summary>
        ///密码2
        /// </summary>
        public string T262
        {
            get
            {
                return _tradeBusData["T262"];
            }
            set
            {
                _tradeBusData["T262"] = value;
            }
        }


        /// <summary>
        ///密码3
        /// </summary>
        public string T263
        {
            get
            {
                return _tradeBusData["T263"];
            }
            set
            {
                _tradeBusData["T263"] = value;
            }
        }


        /// <summary>
        ///密码4
        /// </summary>
        public string T264
        {
            get
            {
                return _tradeBusData["T264"];
            }
            set
            {
                _tradeBusData["T264"] = value;
            }
        }


        /// <summary>
        ///密码5
        /// </summary>
        public string T265
        {
            get
            {
                return _tradeBusData["T265"];
            }
            set
            {
                _tradeBusData["T265"] = value;
            }
        }


        /// <summary>
        ///密码6
        /// </summary>
        public string T266
        {
            get
            {
                return _tradeBusData["T266"];
            }
            set
            {
                _tradeBusData["T266"] = value;
            }
        }


        /// <summary>
        ///密码7
        /// </summary>
        public string T267
        {
            get
            {
                return _tradeBusData["T267"];
            }
            set
            {
                _tradeBusData["T267"] = value;
            }
        }


        /// <summary>
        ///密码8
        /// </summary>
        public string T268
        {
            get
            {
                return _tradeBusData["T268"];
            }
            set
            {
                _tradeBusData["T268"] = value;
            }
        }


        /// <summary>
        ///密码9
        /// </summary>
        public string T269
        {
            get
            {
                return _tradeBusData["T269"];
            }
            set
            {
                _tradeBusData["T269"] = value;
            }
        }


        /// <summary>
        ///密码10
        /// </summary>
        public string T270
        {
            get
            {
                return _tradeBusData["T270"];
            }
            set
            {
                _tradeBusData["T270"] = value;
            }
        }

        #endregion

        #region 介质种类
        /// <summary>
        ///介质种类1
        /// </summary>
        public string T271
        {
            get
            {
                return _tradeBusData["T271"];
            }
            set
            {
                _tradeBusData["T271"] = value;
            }
        }


        /// <summary>
        ///介质种类2
        /// </summary>
        public string T272
        {
            get
            {
                return _tradeBusData["T272"];
            }
            set
            {
                _tradeBusData["T272"] = value;
            }
        }


        /// <summary>
        ///介质种类3
        /// </summary>
        public string T273
        {
            get
            {
                return _tradeBusData["T273"];
            }
            set
            {
                _tradeBusData["T273"] = value;
            }
        }


        /// <summary>
        ///介质种类4
        /// </summary>
        public string T274
        {
            get
            {
                return _tradeBusData["T274"];
            }
            set
            {
                _tradeBusData["T274"] = value;
            }
        }


        /// <summary>
        ///介质种类5
        /// </summary>
        public string T275
        {
            get
            {
                return _tradeBusData["T275"];
            }
            set
            {
                _tradeBusData["T275"] = value;
            }
        }


        /// <summary>
        ///介质种类6
        /// </summary>
        public string T276
        {
            get
            {
                return _tradeBusData["T276"];
            }
            set
            {
                _tradeBusData["T276"] = value;
            }
        }


        /// <summary>
        ///介质种类7
        /// </summary>
        public string T277
        {
            get
            {
                return _tradeBusData["T277"];
            }
            set
            {
                _tradeBusData["T277"] = value;
            }
        }


        /// <summary>
        ///介质种类8
        /// </summary>
        public string T278
        {
            get
            {
                return _tradeBusData["T278"];
            }
            set
            {
                _tradeBusData["T278"] = value;
            }
        }


        /// <summary>
        ///介质种类9
        /// </summary>
        public string T279
        {
            get
            {
                return _tradeBusData["T279"];
            }
            set
            {
                _tradeBusData["T279"] = value;
            }
        }


        /// <summary>
        ///介质种类10
        /// </summary>
        public string T280
        {
            get
            {
                return _tradeBusData["T280"];
            }
            set
            {
                _tradeBusData["T280"] = value;
            }
        }

        #endregion

        #region 凭证种类
        /// <summary>
        ///凭证种类1
        /// </summary>
        public string T281
        {
            get
            {
                return _tradeBusData["T281"];
            }
            set
            {
                _tradeBusData["T281"] = value;
            }
        }


        /// <summary>
        ///凭证种类2
        /// </summary>
        public string T282
        {
            get
            {
                return _tradeBusData["T282"];
            }
            set
            {
                _tradeBusData["T282"] = value;
            }
        }


        /// <summary>
        ///凭证种类3
        /// </summary>
        public string T283
        {
            get
            {
                return _tradeBusData["T283"];
            }
            set
            {
                _tradeBusData["T283"] = value;
            }
        }


        /// <summary>
        ///凭证种类4
        /// </summary>
        public string T284
        {
            get
            {
                return _tradeBusData["T284"];
            }
            set
            {
                _tradeBusData["T284"] = value;
            }
        }


        /// <summary>
        ///凭证种类5
        /// </summary>
        public string T285
        {
            get
            {
                return _tradeBusData["T285"];
            }
            set
            {
                _tradeBusData["T285"] = value;
            }
        }


        /// <summary>
        ///凭证种类6
        /// </summary>
        public string T286
        {
            get
            {
                return _tradeBusData["T286"];
            }
            set
            {
                _tradeBusData["T286"] = value;
            }
        }


        /// <summary>
        ///凭证种类7
        /// </summary>
        public string T287
        {
            get
            {
                return _tradeBusData["T287"];
            }
            set
            {
                _tradeBusData["T287"] = value;
            }
        }


        /// <summary>
        ///凭证种类8
        /// </summary>
        public string T288
        {
            get
            {
                return _tradeBusData["T288"];
            }
            set
            {
                _tradeBusData["T288"] = value;
            }
        }


        /// <summary>
        ///凭证种类9
        /// </summary>
        public string T289
        {
            get
            {
                return _tradeBusData["T289"];
            }
            set
            {
                _tradeBusData["T289"] = value;
            }
        }


        /// <summary>
        ///凭证种类10
        /// </summary>
        public string T290
        {
            get
            {
                return _tradeBusData["T290"];
            }
            set
            {
                _tradeBusData["T290"] = value;
            }
        }

        #endregion

        #region 柜员
        /// <summary>
        ///柜员1
        /// </summary>
        public string T291
        {
            get
            {
                return _tradeBusData["T291"];
            }
            set
            {
                _tradeBusData["T291"] = value;
            }
        }


        /// <summary>
        ///柜员2
        /// </summary>
        public string T292
        {
            get
            {
                return _tradeBusData["T292"];
            }
            set
            {
                _tradeBusData["T292"] = value;
            }
        }


        /// <summary>
        ///柜员3
        /// </summary>
        public string T293
        {
            get
            {
                return _tradeBusData["T293"];
            }
            set
            {
                _tradeBusData["T293"] = value;
            }
        }


        /// <summary>
        ///柜员4
        /// </summary>
        public string T294
        {
            get
            {
                return _tradeBusData["T294"];
            }
            set
            {
                _tradeBusData["T294"] = value;
            }
        }


        /// <summary>
        ///柜员5
        /// </summary>
        public string T295
        {
            get
            {
                return _tradeBusData["T295"];
            }
            set
            {
                _tradeBusData["T295"] = value;
            }
        }


        /// <summary>
        ///柜员6
        /// </summary>
        public string T296
        {
            get
            {
                return _tradeBusData["T296"];
            }
            set
            {
                _tradeBusData["T296"] = value;
            }
        }


        /// <summary>
        ///柜员7
        /// </summary>
        public string T297
        {
            get
            {
                return _tradeBusData["T297"];
            }
            set
            {
                _tradeBusData["T297"] = value;
            }
        }


        /// <summary>
        ///柜员8
        /// </summary>
        public string T298
        {
            get
            {
                return _tradeBusData["T298"];
            }
            set
            {
                _tradeBusData["T298"] = value;
            }
        }


        /// <summary>
        ///柜员9
        /// </summary>
        public string T299
        {
            get
            {
                return _tradeBusData["T299"];
            }
            set
            {
                _tradeBusData["T299"] = value;
            }
        }


        /// <summary>
        ///柜员10
        /// </summary>
        public string T300
        {
            get
            {
                return _tradeBusData["T300"];
            }
            set
            {
                _tradeBusData["T300"] = value;
            }
        }

        #endregion

        #region 级别
        /// <summary>
        ///级别1
        /// </summary>
        public string T301
        {
            get
            {
                return _tradeBusData["T301"];
            }
            set
            {
                _tradeBusData["T301"] = value;
            }
        }


        /// <summary>
        ///级别2
        /// </summary>
        public string T302
        {
            get
            {
                return _tradeBusData["T302"];
            }
            set
            {
                _tradeBusData["T302"] = value;
            }
        }


        /// <summary>
        ///级别3
        /// </summary>
        public string T303
        {
            get
            {
                return _tradeBusData["T303"];
            }
            set
            {
                _tradeBusData["T303"] = value;
            }
        }


        /// <summary>
        ///级别4
        /// </summary>
        public string T304
        {
            get
            {
                return _tradeBusData["T304"];
            }
            set
            {
                _tradeBusData["T304"] = value;
            }
        }


        /// <summary>
        ///级别5
        /// </summary>
        public string T305
        {
            get
            {
                return _tradeBusData["T305"];
            }
            set
            {
                _tradeBusData["T305"] = value;
            }
        }


        /// <summary>
        ///级别6
        /// </summary>
        public string T306
        {
            get
            {
                return _tradeBusData["T306"];
            }
            set
            {
                _tradeBusData["T306"] = value;
            }
        }


        /// <summary>
        ///级别7
        /// </summary>
        public string T307
        {
            get
            {
                return _tradeBusData["T307"];
            }
            set
            {
                _tradeBusData["T307"] = value;
            }
        }


        /// <summary>
        ///级别8
        /// </summary>
        public string T308
        {
            get
            {
                return _tradeBusData["T308"];
            }
            set
            {
                _tradeBusData["T308"] = value;
            }
        }


        /// <summary>
        ///级别9
        /// </summary>
        public string T309
        {
            get
            {
                return _tradeBusData["T309"];
            }
            set
            {
                _tradeBusData["T309"] = value;
            }
        }


        /// <summary>
        ///级别10
        /// </summary>
        public string T310
        {
            get
            {
                return _tradeBusData["T310"];
            }
            set
            {
                _tradeBusData["T310"] = value;
            }
        }

        #endregion

        #region 客户类型
        /// <summary>
        ///客户类型1
        /// </summary>
        public string T311
        {
            get
            {
                return _tradeBusData["T311"];
            }
            set
            {
                _tradeBusData["T311"] = value;
            }
        }


        /// <summary>
        ///客户类型2
        /// </summary>
        public string T312
        {
            get
            {
                return _tradeBusData["T312"];
            }
            set
            {
                _tradeBusData["T312"] = value;
            }
        }


        /// <summary>
        ///客户类型3
        /// </summary>
        public string T313
        {
            get
            {
                return _tradeBusData["T313"];
            }
            set
            {
                _tradeBusData["T313"] = value;
            }
        }


        /// <summary>
        ///客户类型4
        /// </summary>
        public string T314
        {
            get
            {
                return _tradeBusData["T314"];
            }
            set
            {
                _tradeBusData["T314"] = value;
            }
        }


        /// <summary>
        ///客户类型5
        /// </summary>
        public string T315
        {
            get
            {
                return _tradeBusData["T315"];
            }
            set
            {
                _tradeBusData["T315"] = value;
            }
        }


        /// <summary>
        ///客户类型6
        /// </summary>
        public string T316
        {
            get
            {
                return _tradeBusData["T316"];
            }
            set
            {
                _tradeBusData["T316"] = value;
            }
        }


        /// <summary>
        ///客户类型7
        /// </summary>
        public string T317
        {
            get
            {
                return _tradeBusData["T317"];
            }
            set
            {
                _tradeBusData["T317"] = value;
            }
        }


        /// <summary>
        ///客户类型8
        /// </summary>
        public string T318
        {
            get
            {
                return _tradeBusData["T318"];
            }
            set
            {
                _tradeBusData["T318"] = value;
            }
        }


        /// <summary>
        ///客户类型9
        /// </summary>
        public string T319
        {
            get
            {
                return _tradeBusData["T319"];
            }
            set
            {
                _tradeBusData["T319"] = value;
            }
        }


        /// <summary>
        ///客户类型10
        /// </summary>
        public string T320
        {
            get
            {
                return _tradeBusData["T320"];
            }
            set
            {
                _tradeBusData["T320"] = value;
            }
        }

        #endregion

        #region 业务类型
        /// <summary>
        ///业务类型1
        /// </summary>
        public string T321
        {
            get
            {
                return _tradeBusData["T321"];
            }
            set
            {
                _tradeBusData["T321"] = value;
            }
        }


        /// <summary>
        ///业务类型2
        /// </summary>
        public string T322
        {
            get
            {
                return _tradeBusData["T322"];
            }
            set
            {
                _tradeBusData["T322"] = value;
            }
        }


        /// <summary>
        ///业务类型3
        /// </summary>
        public string T323
        {
            get
            {
                return _tradeBusData["T323"];
            }
            set
            {
                _tradeBusData["T323"] = value;
            }
        }


        /// <summary>
        ///业务类型4
        /// </summary>
        public string T324
        {
            get
            {
                return _tradeBusData["T324"];
            }
            set
            {
                _tradeBusData["T324"] = value;
            }
        }


        /// <summary>
        ///业务类型5
        /// </summary>
        public string T325
        {
            get
            {
                return _tradeBusData["T325"];
            }
            set
            {
                _tradeBusData["T325"] = value;
            }
        }


        /// <summary>
        ///业务类型6
        /// </summary>
        public string T326
        {
            get
            {
                return _tradeBusData["T326"];
            }
            set
            {
                _tradeBusData["T326"] = value;
            }
        }


        /// <summary>
        ///业务类型7
        /// </summary>
        public string T327
        {
            get
            {
                return _tradeBusData["T327"];
            }
            set
            {
                _tradeBusData["T327"] = value;
            }
        }


        /// <summary>
        ///业务类型8
        /// </summary>
        public string T328
        {
            get
            {
                return _tradeBusData["T328"];
            }
            set
            {
                _tradeBusData["T328"] = value;
            }
        }


        /// <summary>
        ///业务类型9
        /// </summary>
        public string T329
        {
            get
            {
                return _tradeBusData["T329"];
            }
            set
            {
                _tradeBusData["T329"] = value;
            }
        }


        /// <summary>
        ///业务类型10
        /// </summary>
        public string T330
        {
            get
            {
                return _tradeBusData["T330"];
            }
            set
            {
                _tradeBusData["T330"] = value;
            }
        }

        #endregion

        #region 证件类型
        /// <summary>
        ///证件类型1
        /// </summary>
        public string T331
        {
            get
            {
                return _tradeBusData["T331"];
            }
            set
            {
                _tradeBusData["T331"] = value;
            }
        }


        /// <summary>
        ///证件类型2
        /// </summary>
        public string T332
        {
            get
            {
                return _tradeBusData["T332"];
            }
            set
            {
                _tradeBusData["T332"] = value;
            }
        }


        /// <summary>
        ///证件类型3
        /// </summary>
        public string T333
        {
            get
            {
                return _tradeBusData["T333"];
            }
            set
            {
                _tradeBusData["T333"] = value;
            }
        }


        /// <summary>
        ///证件类型4
        /// </summary>
        public string T334
        {
            get
            {
                return _tradeBusData["T334"];
            }
            set
            {
                _tradeBusData["T334"] = value;
            }
        }


        /// <summary>
        ///证件类型5
        /// </summary>
        public string T335
        {
            get
            {
                return _tradeBusData["T335"];
            }
            set
            {
                _tradeBusData["T335"] = value;
            }
        }


        /// <summary>
        ///证件类型6
        /// </summary>
        public string T336
        {
            get
            {
                return _tradeBusData["T336"];
            }
            set
            {
                _tradeBusData["T336"] = value;
            }
        }


        /// <summary>
        ///证件类型7
        /// </summary>
        public string T337
        {
            get
            {
                return _tradeBusData["T337"];
            }
            set
            {
                _tradeBusData["T337"] = value;
            }
        }


        /// <summary>
        ///证件类型8
        /// </summary>
        public string T338
        {
            get
            {
                return _tradeBusData["T338"];
            }
            set
            {
                _tradeBusData["T338"] = value;
            }
        }


        /// <summary>
        ///证件类型9
        /// </summary>
        public string T339
        {
            get
            {
                return _tradeBusData["T339"];
            }
            set
            {
                _tradeBusData["T339"] = value;
            }
        }


        /// <summary>
        ///证件类型10
        /// </summary>
        public string T340
        {
            get
            {
                return _tradeBusData["T340"];
            }
            set
            {
                _tradeBusData["T340"] = value;
            }
        }

        #endregion

        #region 备用
        /// <summary>
        ///备用1
        /// </summary>
        public string T341
        {
            get
            {
                return _tradeBusData["T341"];
            }
            set
            {
                _tradeBusData["T341"] = value;
            }
        }


        /// <summary>
        ///备用2
        /// </summary>
        public string T342
        {
            get
            {
                return _tradeBusData["T342"];
            }
            set
            {
                _tradeBusData["T342"] = value;
            }
        }


        /// <summary>
        ///备用3
        /// </summary>
        public string T343
        {
            get
            {
                return _tradeBusData["T343"];
            }
            set
            {
                _tradeBusData["T343"] = value;
            }
        }


        /// <summary>
        ///备用4
        /// </summary>
        public string T344
        {
            get
            {
                return _tradeBusData["T344"];
            }
            set
            {
                _tradeBusData["T344"] = value;
            }
        }


        /// <summary>
        ///备用5
        /// </summary>
        public string T345
        {
            get
            {
                return _tradeBusData["T345"];
            }
            set
            {
                _tradeBusData["T345"] = value;
            }
        }


        /// <summary>
        ///备用6
        /// </summary>
        public string T346
        {
            get
            {
                return _tradeBusData["T346"];
            }
            set
            {
                _tradeBusData["T346"] = value;
            }
        }


        /// <summary>
        ///备用7
        /// </summary>
        public string T347
        {
            get
            {
                return _tradeBusData["T347"];
            }
            set
            {
                _tradeBusData["T347"] = value;
            }
        }


        /// <summary>
        ///备用8
        /// </summary>
        public string T348
        {
            get
            {
                return _tradeBusData["T348"];
            }
            set
            {
                _tradeBusData["T348"] = value;
            }
        }


        /// <summary>
        ///备用9
        /// </summary>
        public string T349
        {
            get
            {
                return _tradeBusData["T349"];
            }
            set
            {
                _tradeBusData["T349"] = value;
            }
        }


        /// <summary>
        ///备用10
        /// </summary>
        public string T350
        {
            get
            {
                return _tradeBusData["T350"];
            }
            set
            {
                _tradeBusData["T350"] = value;
            }
        }

        #endregion

        #region 收费信息
        /// <summary>
        /// 收费方式标识
        /// </summary>
        public string F000
        {
            get
            {
                return _tradeBusData["F000"];
            }
            set
            {
                _tradeBusData["F000"] = value;
            }
        }


        /// <summary>
        ///收费方式描述
        ///1、现金；2、转账；3、不收
        /// </summary>
        public string F001
        {
            get
            {
                return _tradeBusData["F001"];
            }
            set
            {
                _tradeBusData["F001"] = value;
            }
        }

        /// <summary>
        ///收费条目集合
        /// </summary>
        public string F002
        {
            get
            {
                return _tradeBusData["F002"];
            }
            set
            {
                _tradeBusData["F002"] = value;
            }
        }

        /// <summary>
        /// 总金额
        /// </summary>
        public string F003
        {
            get
            {
                return _tradeBusData["F003"];
            }
            set
            {
                _tradeBusData["F003"] = value;
            }
        }

        /// <summary>
        /// 扣费转账账户
        /// </summary>
        public string F004
        {
            get
            {
                return _tradeBusData["F004"];
            }
            set
            {
                _tradeBusData["F004"] = value;
            }
        }

        /// <summary>
        ///扣费转账账户序号
        /// </summary>
        public string F005
        {
            get
            {
                return _tradeBusData["F005"];
            }
            set
            {
                _tradeBusData["F005"] = value;
            }
        }
        /// <summary>
        ///收费项目
        /// </summary>
        public string F006
        {
            get
            {
                return _tradeBusData["F006"];
            }
            set
            {
                _tradeBusData["F006"] = value;
            }
        }
        /// <summary>
        ///收费账户户名
        /// </summary>
        public string F007
        {
            get
            {
                return _tradeBusData["F007"];
            }
            set
            {
                _tradeBusData["F007"] = value;
            }
        }
        #endregion
        #endregion

        #region 主控相关
        /// <summary>
        /// 提交收到的报文主对象
        /// </summary>
        public Message RecvMessage
        {
            get
            {
                var data = _tradeBusData["RecvMessage"];
                if (data == null)
                    return null;
                return Page.Deserialize<Message>(data);
            }
            set
            {
                _tradeBusData["RecvMessage"] = Page.Serialize(value);
            }
        }

        /// <summary>
        /// 提交的页面空间命名
        /// </summary>
        public string PageAction
        {
            get
            {
                return _tradeBusData["PageAction"];

            }
            set
            {
                _tradeBusData["PageAction"] = value;
            }
        }

        /// <summary>
        /// 自定义的总线数据项
        /// </summary>
        /// <param name="key"></param>
        /// <returns></returns>
        public string this[string key]
        {
            get
            {
                if (_tradeBusData.ContainsKey("__UGC__" + key))
                    return _tradeBusData["__UGC__" + key];
                if (_tradeBusData.ContainsKey(key))//补偿，允许提取非自定义值
                    return _tradeBusData[key];
                return string.Empty;
            }
            set
            {
                _tradeBusData["__UGC__" + key] = value;
            }
        }
        #endregion

        #endregion
    }
}
